メインコンテンツへスキップ
GET
/
datasets
/
{dataset_id}
/
documents
/
{document_id}
/
segments
/
{segment_id}
/
child_chunks
Error
A valid request URL is required to generate request examples
{
  "data": [
    {
      "id": "d7e8f9a0-1b2c-3d4e-5f6a-7b8c9d0e1f2a",
      "segment_id": "f3d1c7be-9f3a-40d8-8eb8-3a1ef9c3f2c1",
      "content": "Dify is an open-source platform.",
      "position": 1,
      "word_count": 6,
      "type": "automatic",
      "created_at": 1741267200,
      "updated_at": 1741267200
    }
  ],
  "total": 1,
  "total_pages": 1,
  "page": 1,
  "limit": 20
}

承認

Authorization
string
header
必須

API Key 認証です。すべての API リクエストにおいて、Authorization HTTP ヘッダーに Bearer プレフィックスを付けた API Key を含めてください。例:Authorization: Bearer {API_KEY}API Key はサーバーサイドに保存し、クライアントサイドで共有・保存しないことを強く推奨します。API Key の漏洩は深刻な結果につながる可能性があります。

パスパラメータ

dataset_id
string<uuid>
必須

ナレッジベース ID です。

document_id
string<uuid>
必須

Document ID.

segment_id
string<uuid>
必須

Chunk ID.

クエリパラメータ

page
integer
デフォルト:1

取得するページ番号。

必須範囲: x >= 1
limit
integer
デフォルト:20

1 ページあたりの項目数です。サーバーの上限は 100 です。

必須範囲: x >= 1
keyword
string

検索キーワードです。

レスポンス

200 - application/json

子チャンクのリストです。

data
object[]

子チャンクのリスト。

total
integer

子チャンクの合計数です。

total_pages
integer

合計ページ数です。

page
integer

現在のページ番号です。

limit
integer

1 ページあたりの件数です。